/// <reference types="jquery" />
import { Blob } from "./Blob";
import { GDIContext } from "./GDIContext";
export interface IRendererSettings {
    width: string;
    height: string;
    wExt: number;
    hExt: number;
    xExt: number;
    yExt: number;
    mapMode: number;
}
export declare class Renderer {
    private _img;
    constructor(blob: ArrayBuffer);
    render(info: IRendererSettings): JQuery<HTMLElement>;
    private parse(blob);
    private _render(svg, mapMode, w, h, xExt, yExt);
}
export declare class EMF {
    private _hdrsize;
    private _records;
    constructor(reader: Blob, hdrsize: number);
    render(gdi: GDIContext): void;
}
