/// <reference types="jquery" />
import { IContainerElement } from "./renderer/Renderer";
export interface ISettings {
    onHyperlink?(create: () => void, hyperlink: {
        url: () => string;
    }): IContainerElement;
    onPicture?(isLegacy: boolean, create: () => void): JQuery;
    onImport?(relUrls: string, callback: (data: {
        error?: Error;
        keyword?: string;
        blob?: ArrayBuffer;
        width?: number;
        height?: number;
    }) => void): void;
}
export declare class DocumentFacade {
    private _document;
    private _renderer;
    private _parsed;
    constructor(blob: ArrayBuffer, settings: ISettings);
    metadata(): {
        [key: string]: any;
    };
    render(): Promise<JQuery[]>;
}
