import { Renderer } from "../renderer/Renderer";
import { IDestination } from "./destinations/DestinationBase";
export declare class Chp {
    bold: boolean;
    underline: string;
    italic: boolean;
    strikethrough: boolean;
    dblstrikethrough: boolean;
    colorindex: number;
    fontsize: number;
    fontfamily: number;
    constructor(parent: Chp);
}
export declare class Pap {
    indent: {
        left: number;
        right: number;
        firstline: number;
    };
    justification: string;
    spacebefore: number;
    spaceafter: number;
    charactertype: string;
    constructor(parent: Pap);
}
export declare class Sep {
    columns: number;
    breaktype: string;
    pagenumber: {
        x: number;
        y: number;
    };
    pagenumberformat: string;
    constructor(parent: Sep);
}
export declare class Dop {
    width: number;
    height: number;
    margin: {
        left: number;
        top: number;
        right: number;
        bottom: number;
    };
    pagenumberstart: number;
    facingpages: boolean;
    landscape: boolean;
    constructor(parent: Dop);
}
export declare class State {
    parent: State;
    first: boolean;
    skipchars: number;
    bindata: number;
    chp: Chp;
    pap: Pap;
    sep: Sep;
    dop: Dop;
    destination: IDestination;
    skipunknowndestination: boolean;
    skipdestination: boolean;
    ucn: number;
    [key: string]: any;
    constructor(parent: State);
}
export declare class GlobalState {
    data: Uint8Array;
    pos: number;
    line: number;
    column: number;
    state: State;
    version: number;
    text: string;
    codepage: number;
    _asyncTasks: Array<Promise<any>>;
    renderer: Renderer;
    constructor(blob: ArrayBuffer, renderer: Renderer);
}
