export interface WMFJSError {
    name: string;
    message: string;
    stack: string;
}
export declare const WMFJSError: new (message: string) => WMFJSError;
export declare function loggingEnabled(enabled: boolean): void;
export declare class Helper {
    static GDI: {
        METAHEADER_SIZE: number;
        BITMAPINFOHEADER_SIZE: number;
        BITMAPCOREHEADER_SIZE: number;
        MetafileType: {
            MEMORYMETAFILE: number;
            DISKMETAFILE: number;
        };
        MetafileVersion: {
            METAVERSION100: number;
            METAVERSION300: number;
        };
        RecordType: {
            META_EOF: number;
            META_REALIZEPALETTE: number;
            META_SETPALENTRIES: number;
            META_SETBKMODE: number;
            META_SETMAPMODE: number;
            META_SETROP2: number;
            META_SETRELABS: number;
            META_SETPOLYFILLMODE: number;
            META_SETSTRETCHBLTMODE: number;
            META_SETTEXTCHAREXTRA: number;
            META_RESTOREDC: number;
            META_RESIZEPALETTE: number;
            META_DIBCREATEPATTERNBRUSH: number;
            META_SETLAYOUT: number;
            META_SETBKCOLOR: number;
            META_SETTEXTCOLOR: number;
            META_OFFSETVIEWPORTORG: number;
            META_LINETO: number;
            META_MOVETO: number;
            META_OFFSETCLIPRGN: number;
            META_FILLREGION: number;
            META_SETMAPPERFLAGS: number;
            META_SELECTPALETTE: number;
            META_POLYGON: number;
            META_POLYLINE: number;
            META_SETTEXTJUSTIFICATION: number;
            META_SETWINDOWORG: number;
            META_SETWINDOWEXT: number;
            META_SETVIEWPORTORG: number;
            META_SETVIEWPORTEXT: number;
            META_OFFSETWINDOWORG: number;
            META_SCALEWINDOWEXT: number;
            META_SCALEVIEWPORTEXT: number;
            META_EXCLUDECLIPRECT: number;
            META_INTERSECTCLIPRECT: number;
            META_ELLIPSE: number;
            META_FLOODFILL: number;
            META_FRAMEREGION: number;
            META_ANIMATEPALETTE: number;
            META_TEXTOUT: number;
            META_POLYPOLYGON: number;
            META_EXTFLOODFILL: number;
            META_RECTANGLE: number;
            META_SETPIXEL: number;
            META_ROUNDRECT: number;
            META_PATBLT: number;
            META_SAVEDC: number;
            META_PIE: number;
            META_STRETCHBLT: number;
            META_ESCAPE: number;
            META_INVERTREGION: number;
            META_PAINTREGION: number;
            META_SELECTCLIPREGION: number;
            META_SELECTOBJECT: number;
            META_SETTEXTALIGN: number;
            META_ARC: number;
            META_CHORD: number;
            META_BITBLT: number;
            META_EXTTEXTOUT: number;
            META_SETDIBTODEV: number;
            META_DIBBITBLT: number;
            META_DIBSTRETCHBLT: number;
            META_STRETCHDIB: number;
            META_DELETEOBJECT: number;
            META_CREATEPALETTE: number;
            META_CREATEPATTERNBRUSH: number;
            META_CREATEPENINDIRECT: number;
            META_CREATEFONTINDIRECT: number;
            META_CREATEBRUSHINDIRECT: number;
            META_CREATEREGION: number;
        };
        MetafileEscapes: {
            NEWFRAME: number;
            ABORTDOC: number;
            NEXTBAND: number;
            SETCOLORTABLE: number;
            GETCOLORTABLE: number;
            FLUSHOUT: number;
            DRAFTMODE: number;
            QUERYESCSUPPORT: number;
            SETABORTPROC: number;
            STARTDOC: number;
            ENDDOC: number;
            GETPHYSPAGESIZE: number;
            GETPRINTINGOFFSET: number;
            GETSCALINGFACTOR: number;
            META_ESCAPE_ENHANCED_METAFILE: number;
            SETPENWIDTH: number;
            SETCOPYCOUNT: number;
            SETPAPERSOURCE: number;
            PASSTHROUGH: number;
            GETTECHNOLOGY: number;
            SETLINECAP: number;
            SETLINEJOIN: number;
            SETMITERLIMIT: number;
            BANDINFO: number;
            DRAWPATTERNRECT: number;
            GETVECTORPENSIZE: number;
            GETVECTORBRUSHSIZE: number;
            ENABLEDUPLEX: number;
            GETSETPAPERBINS: number;
            GETSETPRINTORIENT: number;
            ENUMPAPERBINS: number;
            SETDIBSCALING: number;
            EPSPRINTING: number;
            ENUMPAPERMETRICS: number;
            GETSETPAPERMETRICS: number;
            POSTSCRIPT_DATA: number;
            POSTSCRIPT_IGNORE: number;
            GETDEVICEUNITS: number;
            GETEXTENDEDTEXTMETRICS: number;
            GETPAIRKERNTABLE: number;
            EXTTEXTOUT: number;
            GETFACENAME: number;
            DOWNLOADFACE: number;
            METAFILE_DRIVER: number;
            QUERYDIBSUPPORT: number;
            BEGIN_PATH: number;
            CLIP_TO_PATH: number;
            END_PATH: number;
            OPEN_CHANNEL: number;
            DOWNLOADHEADER: number;
            CLOSE_CHANNEL: number;
            POSTSCRIPT_PASSTHROUGH: number;
            ENCAPSULATED_POSTSCRIPT: number;
            POSTSCRIPT_IDENTIFY: number;
            POSTSCRIPT_INJECTION: number;
            CHECKJPEGFORMAT: number;
            CHECKPNGFORMAT: number;
            GET_PS_FEATURESETTING: number;
            MXDC_ESCAPE: number;
            SPCLPASSTHROUGH2: number;
        };
        MapMode: {
            MM_TEXT: number;
            MM_LOMETRIC: number;
            MM_HIMETRIC: number;
            MM_LOENGLISH: number;
            MM_HIENGLISH: number;
            MM_TWIPS: number;
            MM_ISOTROPIC: number;
            MM_ANISOTROPIC: number;
        };
        StretchMode: {
            BLACKONWHITE: number;
            WHITEONBLACK: number;
            COLORONCOLOR: number;
            HALFTONE: number;
        };
        TextAlignmentMode: {
            TA_UPDATECP: number;
            TA_RIGHT: number;
            TA_CENTER: number;
            TA_BOTTOM: number;
            TA_BASELINE: number;
            TA_RTLREADING: number;
        };
        MixMode: {
            TRANSPARENT: number;
            OPAQUE: number;
        };
        VerticalTextAlignmentMode: {
            VTA_BOTTOM: number;
            VTA_CENTER: number;
            VTA_LEFT: number;
            VTA_BASELINE: number;
        };
        BrushStyle: {
            BS_SOLID: number;
            BS_NULL: number;
            BS_HATCHED: number;
            BS_PATTERN: number;
            BS_INDEXED: number;
            BS_DIBPATTERN: number;
            BS_DIBPATTERNPT: number;
            BS_PATTERN8X8: number;
            BS_DIBPATTERN8X8: number;
            BS_MONOPATTERN: number;
        };
        PenStyle: {
            PS_SOLID: number;
            PS_DASH: number;
            PS_DOT: number;
            PS_DASHDOT: number;
            PS_DASHDOTDOT: number;
            PS_NULL: number;
            PS_INSIDEFRAME: number;
            PS_USERSTYLE: number;
            PS_ALTERNATE: number;
            PS_ENDCAP_SQUARE: number;
            PS_ENDCAP_FLAT: number;
            PS_JOIN_BEVEL: number;
            PS_JOIN_MITER: number;
        };
        PolyFillMode: {
            ALTERNATE: number;
            WINDING: number;
        };
        ColorUsage: {
            DIB_RGB_COLORS: number;
            DIB_PAL_COLORS: number;
            DIB_PAL_INDICES: number;
        };
        PaletteEntryFlag: {
            PC_RESERVED: number;
            PC_EXPLICIT: number;
            PC_NOCOLLAPSE: number;
        };
        BitmapCompression: {
            BI_RGB: number;
            BI_RLE8: number;
            BI_RLE4: number;
            BI_BITFIELDS: number;
            BI_JPEG: number;
            BI_PNG: number;
        };
    };
    static _uniqueId: number;
    static log(message: string): void;
    static _makeUniqueId(prefix: string): string;
    static _writeUint32Val(uint8arr: Uint8Array, pos: number, val: number): void;
    static _blobToBinary(blob: Uint8Array): string;
}
