/// <reference types="jquery" />
import { Blob } from "./Blob";
import { GDIContext } from "./GDIContext";
export interface IRendererSettings {
    width: string;
    height: string;
    xExt: number;
    yExt: number;
    mapMode: number;
}
export declare class Renderer {
    private _img;
    constructor(blob: ArrayBuffer);
    render(info: IRendererSettings): JQuery<HTMLElement>;
    private parse(blob);
    private _render(svg, mapMode, xExt, yExt);
}
export declare class WMFRect16 {
    private left;
    private top;
    private right;
    private bottom;
    constructor(reader: Blob);
    toString(): string;
}
export declare class WMFPlacable {
    private boundingBox;
    private unitsPerInch;
    constructor(reader: Blob);
}
export declare class WMF {
    private _version;
    private _hdrsize;
    private _placable;
    private _records;
    constructor(reader: Blob, placable: WMFPlacable, version: number, hdrsize: number);
    render(gdi: GDIContext): void;
}
